Bug 443690 - rt-setup package needs to automate kdump setup
rt-setup package needs to automate kdump setup
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
beta
All Linux
high Severity medium
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 17:17 EDT by Clark Williams
Modified: 2008-05-27 12:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 12:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
script to setup kdump for RT kernels (2.37 KB, application/octet-stream)
2008-05-05 16:27 EDT, Clark Williams
no flags Details
updated script (3.04 KB, application/octet-stream)
2008-05-16 14:53 EDT, Clark Williams
no flags Details

  None (edit)
Description Clark Williams 2008-04-22 17:17:52 EDT
Description of problem:
the rt-setup packages needs to deliver a script that will automatically setup
kdump to use the latest RHEL5 kernel as the dump kernel

Version-Release number of selected component (if applicable):
rt-setup-1.0+

Additional info:
This has been a point of contention with customers. Making kdump setup automagic
will ease the pain here.
Comment 1 Clark Williams 2008-05-05 16:27:27 EDT
Created attachment 304555 [details]
script to setup kdump for RT kernels

This script is proposed as an addition to the rt-setup package. Running it will
detect the most recent RHEL kernel and will edit /etc/sysconfig/kdump
appropriately. Additionally, the --grub argument will update all MRG RT kernel
entries with appropriate kernel command lines (i.e. crashkernel=)
Comment 2 Clark Williams 2008-05-16 14:53:15 EDT
Created attachment 305724 [details]
updated script

Cleaned up script; added comments
Comment 3 Clark Williams 2008-05-27 12:01:25 EDT
rt-setup-kdump script added to rt-setup package

closing

Note You need to log in before you can comment on or make changes to this bug.